Subject: Re: iproute equivalent of replacing address with ifconfig?

From: Michael Tokarev <[email-masked]>
Date: Mon, 18 May 2015 21:13:45 +0300

18.05.2015 20:46, Cong Wang wrote:
> On Mon, May 18, 2015 at 7:03 AM, Michael Tokarev <[email-masked]> wrote:
>>
>> ip addr command however does not have the ability to "replace"
>> an address, there are two commands for that, del and add.
>> So in order to change address, one have to delete and add,
>> a two-step process.  Adding an address before deleting might
>> not work as the new address should not conflict with old
>> address in any way, or else addition fails.
> 
> Are you sure?
> 
> $ ip addr help
> Usage: ip addr {add|change|replace} IFADDR dev STRING [ LIFETIME ]
>                                                       [ CONFFLAG-LIST ]

Hm.  I looked into the manpage, where neither change nor replace are
documented.  Wonder what these do, what's the difference etc...

Thanks!

/mjt